This mod uses the Legwear type, which is not supported by the vanilla import system. Therefore the mod requires the SDT Loader.
Author
Wyld_Card
Downloads
1,662
Views
1,662
First release
Last update
Rating
5.00 star(s) 1 ratings

More resources from Wyld_Card

Top Bottom